Loading...
Searching...
No Matches
Dune::ios_base_all_saver Class Reference
Common

Utility class for storing and resetting stream attributes. More...

`#include <dune/common/ios_state.hh>`

## Public Types

typedef std::ios_base | state_type
| Export type of object we save the state for.

## Public Member Functions

| ios_base_all_saver (state_type &ios_)
| Constructor that stores the currently used flags.
| ~ios_base_all_saver ()
| Destructor that restores the flags stored by the constructor.
void | restore ()
| Restore flags now.

## Detailed Description

Utility class for storing and resetting stream attributes.

The constructor saves the attributes currently set in the ios_base object and the destructor restores these attributes again. The attributes can also be restores at any time by calling the method restore().

The saved attributes are the format flags, precision, and width.

Note
  The interface of this class is meant to be drop-in compatible the the class of the same name from <boost/io/ios_state.hpp>.

The documentation for this class was generated from the following files:

- ios_state.hh
- ios_state.cc